Class | Yajl::Deflate::StreamReader
In: | lib/yajl/deflate/stream_reader.rb
Parent: | ::Zlib::Inflate

This is a wrapper around Zlib::Inflate, creating a read method that adheres to the IO spec, allowing for two parameters (length, and buffer)

### Methods

new parse read

### Public Class methods

new(io, options)

Wrapper to the initialize method so we can set the initial IO to parse from.

parse(input, options={}, buffer_size=nil, &block)

Helper method for one-off parsing from a deflate-compressed stream

See Yajl::Parser#parse for parameter documentation

### Public Instance methods

read(len=nil, buffer=nil)

A helper method to allow use similar to IO#read

[Validate]